gnutls_x509_crt_verify_data(3)

NAME
gnutls_x509_crt_verify_data - This function will verify the given signed data.

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_verify_data(gnutls_x509_crt_t crt, unsigned int flags, const gnutls_datum_t * data, const gnutls_datum_t * signature);

ARGUMENTS

gnutls_x509_crt_t crt
    Holds the certificate

unsigned int flags
    should be 0 for now

const gnutls_datum_t * data
    holds the data to be signed

const gnutls_datum_t * signature
    contains the signature

DESCRIPTION
This function will verify the given signed data, using the parameters from the certificate.

RETURNS
In case of a verification failure 0 is returned, and 1 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.